Sets the debugging level for the library

- « Zookeeper::setAcl

- Zookeeper::setDeterministicConnOrder »

- PHP Manual
- Zookeeper
- Sets the debugging level for the library

# Zookeeper::setDebugLevel

(PECL zookeeper >= 0.1.0)

Zookeeper::setDebugLevel — Sets the debugging level for the library

### Description

public static Zookeeper::setDebugLevel(int `$logLevel`): bool

### Parameters

`logLevel`

  ZooKeeper log level constants.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

This method emits PHP error/warning when parameters count or types are wrong or fail to set debug level.

Caution

Since version 0.3.0, this method emits ZookeeperException and it's derivatives.

### Examples

Example #1 Zookeeper::setDebugLevel() example

Set debugl level.

    <?php$r = Zookeeper::setDebugLevel(Zookeeper::LOG_LEVEL_WARN);if ($r)  echo 'SUCCESS';else  echo 'ERR';?>?>

The above example will output:

    SUCCESS

### See Also

- ZooKeeper Log Levels
- ZookeeperException